Bug 1207597 - Enable java libidn library
Summary: Enable java libidn library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1177453
TreeView+ depends on / blocked
 
Reported: 2015-03-31 09:31 UTC by gil cattaneo
Modified: 2015-04-21 19:07 UTC (History)
1 user (show)

Fixed In Version: libidn-1.29-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-18 09:38:57 UTC


Attachments (Terms of Use)
build java libidn library (3.60 KB, patch)
2015-03-31 09:32 UTC, gil cattaneo
no flags Details | Diff
for F20 (3.95 KB, patch)
2015-03-31 09:59 UTC, gil cattaneo
no flags Details | Diff
for F21 (3.68 KB, patch)
2015-03-31 10:13 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2015-03-31 09:31:11 UTC
the java library is used for other project (e.g. http://www.igniterealtime.org/projects/jxmpp/ , module org.igniterealtime.jxmpp:jxmpp-stringprep-libidn)
please, enable the build java libidn library

Comment 1 gil cattaneo 2015-03-31 09:32:11 UTC
Created attachment 1008910 [details]
build java libidn library

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9377229

Comment 2 gil cattaneo 2015-03-31 09:35:56 UTC
If possible can reuse adapt the patch for F21 and F22 branches?

Comment 3 gil cattaneo 2015-03-31 09:59:57 UTC
Created attachment 1008918 [details]
for F20

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9377572

Comment 4 Miroslav Lichvar 2015-03-31 10:06:39 UTC
This looks like a non-trivial thing to maintain and I'm not very familiar with java packaging. Would you be willing to co-maintain the package and take care of this?

Comment 5 gil cattaneo 2015-03-31 10:13:40 UTC
Created attachment 1008922 [details]
for F21

Comment 6 gil cattaneo 2015-03-31 10:14:35 UTC
(In reply to Miroslav Lichvar from comment #4)
> This looks like a non-trivial thing to maintain and I'm not very familiar
> with java packaging. Would you be willing to co-maintain the package and
> take care of this?

yes thanks!

Comment 7 Miroslav Lichvar 2015-03-31 13:38:35 UTC
Ok, it's all yours :).

Comment 8 Fedora Update System 2015-03-31 14:44:00 UTC
libidn-1.29-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libidn-1.29-3.fc22

Comment 9 Fedora Update System 2015-03-31 15:02:42 UTC
libidn-1.28-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libidn-1.28-6.fc21

Comment 10 Fedora Update System 2015-03-31 15:23:51 UTC
libidn-1.28-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libidn-1.28-3.fc20

Comment 11 Fedora Update System 2015-04-01 22:25:29 UTC
Package libidn-1.28-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libidn-1.28-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5236/libidn-1.28-6.fc21
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-04-18 09:38:57 UTC
libidn-1.28-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-18 09:39:51 UTC
libidn-1.28-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-04-21 19:07:00 UTC
libidn-1.29-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.